Subject: Re: bug#46824: 28.0.50; nativecomp crash with cl-block/cl-defun

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Mar 2021 17:22:56 +0200

> From: Pip Cet <[email-masked]>
> Date: Tue, 2 Mar 2021 14:02:55 +0000
> Cc: Andrea Corallo <[email-masked]>, [email-masked], [email-masked]
> 
> > > +  gcc_jit_param *params[] =
> > > +    {
> > > +      gcc_jit_context_new_param (comp.ctxt, NULL, comp.void_ptr_type, "buf"),
> > > +    };
> >
> > Nitpicking: the braces here should be in column zero.
> 
> How about we compromise and put them in column two rather than four or zero? :-)
> 
> (I hope that's what you meant).

Sorry, yes: aligned with first non-whitespace character on the
previous line.

> I was going to apologize for apparently messing up my cc-mode setup
> here, but emacs -Q also insists on the incorrect brace placement. We
> might want to fix that somehow for those Emacs developers who use this
> "Emacs" thing.

Perhaps submit a bug report against CC Mode.

> I've decided on the attached, if it's okay.

It's fine, thanks.